<!DOCTYPE html>
<html>
  <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
      <link rel="stylesheet" href="https://code.getmdl.io/1.2.1/material.amber-indigo.min.css" />
      <link rel="stylesheet" href="../static/style.css">
      <script defer src="https://code.getmdl.io/1.2.1/material.min.js"></script>
      <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Roboto:300,400,500,700" type="text/css">
      <title>Rainbow.Chat</title>
      <link rel="apple-touch-icon" sizes="57x57" href="../static/images/fav.ico/apple-icon-57x57.png">
      <link rel="apple-touch-icon" sizes="60x60" href="../static/images/fav.ico/apple-icon-60x60.png">
      <link rel="apple-touch-icon" sizes="72x72" href="../static/images/fav.ico/apple-icon-72x72.png">
      <link rel="apple-touch-icon" sizes="76x76" href="../static/images/fav.ico/apple-icon-76x76.png">
      <link rel="apple-touch-icon" sizes="114x114" href="../static/images/fav.ico/apple-icon-114x114.png">
      <link rel="apple-touch-icon" sizes="120x120" href="../static/images/fav.ico/apple-icon-120x120.png">
      <link rel="apple-touch-icon" sizes="144x144" href="../static/images/fav.ico/apple-icon-144x144.png">
      <link rel="apple-touch-icon" sizes="152x152" href="../static/images/fav.ico/apple-icon-152x152.png">
      <link rel="apple-touch-icon" sizes="180x180" href="../static/images/fav.ico/apple-icon-180x180.png">
      <link rel="icon" type="image/png" sizes="192x192"  href="../static/images/fav.ico/android-icon-192x192.png">
      <link rel="icon" type="image/png" sizes="32x32" href="../static/images/fav.ico/favicon-32x32.png">
      <link rel="icon" type="image/png" sizes="96x96" href="../static/images/fav.ico/favicon-96x96.png">
      <link rel="icon" type="image/png" sizes="16x16" href="../static/images/fav.ico/favicon-16x16.png">
      <link rel="manifest" href="manifest.json">
      <meta name="msapplication-TileColor" content="#ffffff">
      <meta name="msapplication-TileImage" content="ms-icon-144x144.png">
      <meta name="theme-color" content="#ffffff">
      <script type="text/javascript" src="//code.jquery.com/jquery-1.4.2.min.js"></script>
      <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/1.3.6/socket.io.min.js"></script>

        <link rel="stylesheet" type="text/css" href="../static/dialog-polyfill.css" />

        <script type="text/javascript" src="../static/dialog-polyfill.js"></script>

      <script type="text/javascript">
      function post(path, params, method) {
              method = method || "post"; // Set method to post by default if not specified.

              // The rest of this code assumes you are not using a library.
              // It can be made less wordy if you use one.
              var form = document.createElement("form");
              form.setAttribute("method", method);
              form.setAttribute("action", path);

              for(var key in params) {
                  if(params.hasOwnProperty(key)) {
                      var hiddenField = document.createElement("input");
                      hiddenField.setAttribute("type", "hidden");
                      hiddenField.setAttribute("name", key);
                      hiddenField.setAttribute("value", params[key]);

                      form.appendChild(hiddenField);
                   }
              }

              document.body.appendChild(form);
              form.submit();
          };
          </script>

{% block rest_of_head %}
{% endblock %}

    </head>

    <body>
        <div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
            <header class="mdl-layout__header">
                  <div class="mdl-layout__header-row">
                      <img class="logo-small grow" src="../static/images/rc-icon.png" alt="rainbow-chat-logo" id="logo">
                      <span class="mdl-layout-title">Welcome to Rainbow.Chat - Be kind</span>
                      <div class="mdl-layout-spacer"></div>

{% block escape_hatch %} {% endblock %}


                  </div>
                  <!-- Tabs Container -->
                  <div class="mdl-layout__tab-bar mdl-js-ripple-effect" id="tab_link_container"></div>
            </header>

            <main class="mdl-layout__content" id="tab_body_container">
{% block easy_display %} {% endblock %}
          </main>
      </div>
    </body>

</html>
